curl -X PATCH https://api.example.com/api/mcp/servers/mcp_abc123 \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Server Name",
"description": "Updated description"
}'
const response = await fetch(
'https://api.example.com/api/mcp/servers/mcp_abc123',
{
method: 'PATCH',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Updated Server Name',
description: 'Updated description'
})
}
);
const data = await response.json();
import requests
response = requests.patch(
'https://api.example.com/api/mcp/servers/mcp_abc123',
headers={
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
json={
'name': 'Updated Server Name',
'description': 'Updated description'
}
)
data = response.json()
{
"success": true
}
{
"success": false,
"message": "MCP server not found"
}
Server Management
Update MCP Server
Updates configuration for a specific MCP server
PATCH
/
api
/
mcp
/
servers
/
{id}
curl -X PATCH https://api.example.com/api/mcp/servers/mcp_abc123 \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Server Name",
"description": "Updated description"
}'
const response = await fetch(
'https://api.example.com/api/mcp/servers/mcp_abc123',
{
method: 'PATCH',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Updated Server Name',
description: 'Updated description'
})
}
);
const data = await response.json();
import requests
response = requests.patch(
'https://api.example.com/api/mcp/servers/mcp_abc123',
headers={
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
json={
'name': 'Updated Server Name',
'description': 'Updated description'
}
)
data = response.json()
{
"success": true
}
{
"success": false,
"message": "MCP server not found"
}
Path Parameters
string
required
MCP server ID
Request Body
All fields are optional. Only provide fields you want to update.string
Server name
string
Server description
string
Server URL
string
OAuth client ID
string
OAuth client secret
string
OAuth scope
string
Proxy server URL
string
Proxy authentication token
string
Server status:
connecting, connected, disconnected, or errorobject
Server capabilities
object
Server implementation details
Response
boolean
Whether the update was successful
curl -X PATCH https://api.example.com/api/mcp/servers/mcp_abc123 \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Server Name",
"description": "Updated description"
}'
const response = await fetch(
'https://api.example.com/api/mcp/servers/mcp_abc123',
{
method: 'PATCH',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Updated Server Name',
description: 'Updated description'
})
}
);
const data = await response.json();
import requests
response = requests.patch(
'https://api.example.com/api/mcp/servers/mcp_abc123',
headers={
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
json={
'name': 'Updated Server Name',
'description': 'Updated description'
}
)
data = response.json()
{
"success": true
}
{
"success": false,
"message": "MCP server not found"
}

